Projects
For authentication instructions, see API overview.
Endpoints
get
List all projects
Returns a list of projects. The projects are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/projectsResponse
No response schemapost
Create project
Create project. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
namestringsubprojectsarrayaddressobjectcitystringcountrystringregionstringtypestringusagestring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/projects \ -d 'name="UX-Venuesds sdXX0"' \ -d 'subprojects="array"' \ -d 'address="object"' \ -d 'city="Cairo"' \ -d 'country="Cairo"' \ -d 'region="Cairo"' \ -d 'type="towers"' \ -d 'usage="commercial"'Response
No response schemaget
Retrieve project
Returns a single projec, which you can request by passing through an id in the url.
Path parameters
idstringID of the project
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/projects/:idResponse
No response schemaput
Update project
Path parameters
idstringID of the project
Request body
namestringsubprojectsarrayaddressobjectcitystringcountrystringregionstringtypestringusagestring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/projects/:id \ -d 'name="UX-Venuesds sdXX0"' \ -d 'subprojects="array"' \ -d 'address="object"' \ -d 'city="Cairo"' \ -d 'country="Cairo"' \ -d 'region="Cairo"' \ -d 'type="towers"' \ -d 'usage="commercial"'Response
No response schemapatch
Update project soft
Update project soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the project
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/projects/:idResponse
No response schemadelete
Delete project
Path parameters
idstringID of the project
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/projects/:id